#
# spec file for package ghc-sparse-linear-algebra
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name sparse-linear-algebra
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.2.9.7
Release:        lp150.1.8
Summary:        Numerical computation in native Haskell
License:        GPL-3.0+
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-vector-algorithms-devel
BuildRequires:  ghc-vector-devel
BuildRequires:  ghc-vector-space-devel
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-matrix-market-attoparsec-devel
BuildRequires:  ghc-mwc-random-devel
BuildRequires:  ghc-primitive-devel
BuildRequires:  ghc-scientific-devel
%endif

%description
/Overview/

The 'sparse-linear-algebra' library provides iterative linear solvers, matrix
decompositions, eigenvalue computations and related utilities. The user
interface is provided by the top-level module "Numeric.LinearAlgebra.Sparse":

' import Numeric.LinearAlgebra.Sparse '

Please refer to the README file for usage examples. .

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE
%dir %{_datadir}/%{pkg_name}-%{version}
%{_datadir}/%{pkg_name}-%{version}/e05r0000.mtx
%{_datadir}/%{pkg_name}-%{version}/e05r0000_rhs1.mtx

%files devel -f %{name}-devel.files
%doc CHANGELOG.markdown README.md

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Mon Feb 27 2017 psimons@suse.com
- Update to version 0.2.9.7 with cabal2obs.
* Mon Feb 20 2017 psimons@suse.com
- Update to version 0.2.9.4 with cabal2obs.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 0.2.2.0 with cabal2obs.
